summaryrefslogtreecommitdiff
path: root/do-a-release.sh
diff options
context:
space:
mode:
authorFelipe Sateler <fsateler@debian.org>2017-06-28 10:32:44 -0400
committerFelipe Sateler <fsateler@debian.org>2017-06-28 10:32:44 -0400
commitf0127ef73a5be28cce46b1bc1189bcbc41ccc4db (patch)
tree60c181215faf8494178b2242c7e5024110405821 /do-a-release.sh
parent4c1df9dfa0e6fe5cf8f6da3ca5cd35a25a30cb54 (diff)
New upstream version 3
Diffstat (limited to 'do-a-release.sh')
-rwxr-xr-xdo-a-release.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/do-a-release.sh b/do-a-release.sh
new file mode 100755
index 0000000..7817b4b
--- /dev/null
+++ b/do-a-release.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ x"$1" == x ] ; then
+ echo "Version number not specified."
+ exit 1
+fi
+
+sed -ie 's/version=".*",/version="'"$1"'",/' setup.py
+sed -ie "s/__version__ = '.*'/__version__ = '$1'/" mkosi
+
+git add -p setup.py mkosi
+
+git commit -m "bump version numbers for v$1"
+
+git tag -s "v$1" -m "mkosi $1"